OperationDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.OperationDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class OperationDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.authz.server.session.OperationDAO

    public class OperationDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`OperationDAO(DAOFactory f)`

Method Summary
`java.util.Collection` | `findByRole(java.lang.Integer roleId)`
`Operation` | `findByTypeAndName(ResourceType type, java.lang.String name)`
`Operation` | `getByName(java.lang.String name)`
`boolean` | `userHasOperation(AuthzSubject subj, Operation op)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationDAO

    public OperationDAO(DAOFactory f)

Method Detail

### getByName

    public Operation getByName(java.lang.String name)

### findByTypeAndName

    public Operation findByTypeAndName(ResourceType type,
                                       java.lang.String name)

### findByRole

    public java.util.Collection findByRole(java.lang.Integer roleId)

### userHasOperation

    public boolean userHasOperation(AuthzSubject subj,
                                    Operation op)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.